# POST - Proxy

{% tabs %}
{% tab title="cUrl" %}

```
POST /
curl -X POST https://api.firstoken.co/proxy/
-H 'ft-access-key: YOUR_ACCESS_KEY'
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Headers of the request" %}

* **ft-url-destiny**: *string*\
  URL which proxy API will send the request\
  Required: true
* **ft-access-key**: *string*\
  This headers contains the Firstoken API Key\
  Required: true
* **ft-headers**: *JSON*\
  This JSON contains the headers that proxy have to add to the request.\
  Example: {“Authorization” : “hsFG84hbnfk454bja”}\
  Required: false
* **ft-encryption**: *JSON*\
  This JSON contains the properties required to apply an encryption in the selected values.\
  Must contain the following properties:

  * Key: *string*\
    Is the RSA key
  * Type: string\
    The type of the encryption algorithm.
  * is\_partial: *Boolean*\
    Explains if the encryption is partial or not.

  Example: {"key": "{{your-encryption-key}}", "type": "RSA", "is\_partial": true}\
  Required: false
  {% endtab %}

{% tab title="Request Body" %}
In the Proxy body, only a valid token (permanent or temporary) is necessary to extract sensitive data with the actions and filters explained in "[Actions](https://firstoken.gitbook.io/api-docs/api-reference/firstoken-api/proxy/methods/broken-reference)".
{% endtab %}
{% endtabs %}

<details>

<summary>Example body of a Proxy POST request</summary>

```json
{
    "chd": {
        "card": " {{4242428XsEs24242:detokenize | extract:card}}",
        "name": " {{4242428XsEs24242:detokenize | extract:name}}",
        "exp": " {{4242428XsEs24242:detokenize | extract:expiration | date:MM}}/ {{4242428XsEs24242:detokenize | extract:expiration | date:YY}}"
    },
    "order":{
        "order_id": "1243092185268",
        "detokenize_id": "838CF75C85374DDE88FBF95859D5067E",
        "payment_id": "1E48107A6DAF47C393BA4A40F8BB64EC",
        "reference": "503423",
        "shopper_interaction": "ecommerce",
        "payment_method": "Amex",
        "value": 22.330000000000002,
        "currency": "BRL"
    }
}
```

</details>

### Proxy response body

The Proxy response body will contain the status codes of the call and inside the data object, the response sent by the destination url designated in the header.
